<?php
/*
Plugin Name: wppage
Plugin URI: http://wppage.ru/
Description: 
Version: 2.0
Author: Виктор Левчук
Author URI: http://wppage.ru/
*/


if(! function_exists('post_type_page_selling')):
	function post_type_page_selling() {

		$labels = array(
			'name' => 'Продающие страницы',
			'singular_name' => 'Страница',
			'all_items' => 'Все страницы',
			'add_new' => 'Добавить страницу',
			'add_new_item' => 'Добавить страницу',
			'edit_item' => 'Редактировать',
			'new_item' => 'Новая страница',
			'view_item' => 'Смотреть',
			'search_items' => 'Поиск',
			'not_found' => 'Ничего не найдено',
			'not_found_in_trash' => 'Ничего не найдено', 
			'parent_item_colon' => ''
		);
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true, 
			'query_var' => true,
			//'rewrite' => true,
			'rewrite' => array(
				'slug' => 'wppage',
				'with_front' => false,
			),
			'capability_type' => 'page',
			'hierarchical' => true,
			'supports' => array(
				'title',
				'thumbnail',
				'editor',
				'page-attributes',
				//'excerpt',
				//'custom-fields',
				//'post-formats',
				'comments',
				//'revisions'
			),
			'menu_position' => 5,
			'register_meta_box_cb' => 'add_page_selling_metabox'
		); 
		register_post_type('page_selling',$args);
	
	}
	add_action('init', 'post_type_page_selling');
//------------------------------

endif;

//------------- 

add_image_size( 'facebook_thumb', 200, 200, false );
add_image_size( 'vk_thumb', 100, 63, false );

//------------- register_activation_hook

function page_selling_activate(){ 
	//file_put_contents(TEMPLATEPATH. '/editor-style.css', file_get_contents(plugins_url('/lib/editor-style.css', __FILE__)));
	flush_rewrite_rules();
    $wpp_trial_end_date  = mktime(0, 0, 0, date("m")  , date("d")+7, date("Y"));
    if(!get_option('wpp_trial_end_date')){
        add_option('wpp_trial_end_date', $wpp_trial_end_date);
        
    }
    
	$text = "@import url('".plugins_url()."/wppage/css/editor-style-page_selling.css');";
	file_put_contents(WP_PLUGIN_DIR.'/wppage/lib/editor-style-page_selling.css', $text);
	copy( WP_PLUGIN_DIR.'/wppage/lib/editor-style-page_selling.css', TEMPLATEPATH. '/editor-style-page_selling.css');
	copy( WP_PLUGIN_DIR.'/wppage/lib/single-page_selling.php', TEMPLATEPATH. '/single-page_selling.php');
}
register_activation_hook( __FILE__, 'page_selling_activate' );


function page_selling_deactivate(){
	if(file_exists(TEMPLATEPATH. '/editor-style-page_selling.css')) unlink(TEMPLATEPATH. '/editor-style-page_selling.css');
	if(file_exists(TEMPLATEPATH. '/single-page_selling.php')) unlink(TEMPLATEPATH. '/single-page_selling.php');
	}
register_deactivation_hook( __FILE__, 'page_selling_deactivate' );

//-------------------------------

function tcb_cpt_editor_styles(){
  global $current_screen;
  if($current_screen->post_type == 'page_selling' ){ 
  	add_editor_style('editor-style-page_selling.css');
	 
  }
}
add_action( 'admin_head', 'tcb_cpt_editor_styles' );


//------------------------------
add_theme_support('post-thumbnails');

add_action('init', 'rewrite_init');
function rewrite_init(){
		flush_rewrite_rules();
	}

add_action("wppage_head", "add_seo_meta_tags");
function add_seo_meta_tags(){
	global $post;
	$facebook_thumb_url = '';
	$facebook_thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'facebook_thumb'); 
	$vk_thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'vk_thumb'); 
	$title = str_replace(array('"', '"'), array('&quot;', '&quot;'), get_post_meta($post->ID, '_wppage_seo_title', true) ); 
	$desc = str_replace(array('"', '"'), array('&quot;', '&quot;'), get_post_meta($post->ID, '_wppage_seo_desc', true) ); 

	?>
<!-- social meta tags -->
<meta property="og:title" content="<?php echo $title; ?>" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php the_permalink(); ?>" />
<meta property="og:site_name" content="<?php echo $desc; ?>" />
<meta property="og:image" content="<?php echo $facebook_thumb_url[0]; ?>" />
<meta property="fb:app_id" content="<?php echo get_option('facebook_app_id'); ?>" />
<meta property="fb:admins" content="<?php echo get_option('facebook_admin'); ?>" />
<!-- // social meta tags -->
<?php }

    function add_fancybox(){
 ?>

<!-- fancybox -->
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wppage/js/fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wppage/js/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url(); ?>/wppage/js/fancybox/jquery.fancybox-1.3.4.css" media="screen" />
<script type="text/javascript">
	j = jQuery.noConflict();
	j(function() {
		j("input.ps_make_order").fancybox({
			'padding' : '20',
			'autoScale' : false,
			'scrolling' : 'no',
			'transitionIn' : 'none',
			'transitionOut' : 'none',
			'type' : 'inline',
			'href' : '#order_popup'
		});
	}); 
</script>
<!-- //fancybox -->
<?php }

    function add_jquery_ui(){
 ?>

<!-- jquery ui -->
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wppage/js/jquery_ui/jquery.ui.core.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wppage/js/jquery_ui/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wppage/js/jquery_ui/jquery.ui.tabs.min.js"></script>

<!-- // jquery ui -->
<?php	}

function add_social_scripts(){
    $html = '<!-- Vkontakte Share -->
    <script type="text/javascript" src="http://vkontakte.ru/js/api/share.js?11" charset="windows-1251"></script>
    <!-- end of Vkontakte -->
    <!-- Facebook -->
    <script type="text/javascript" src="http://userapi.com/js/api/openapi.js?33"></script>
    <script type="text/javascript">
    VK.init({apiId: '.get_option('vkontakte_apiId').', onlyWidgets: true});
    </script>
    <!-- Google plus one -->
    <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>';
    echo $html;
}

function add_analytics(){
    $html = get_option('coach_analytics');
    echo $html;

}

add_action('init', 'coach_js_css_init');
function coach_js_css_init()
{

    if(!is_admin()){
    // for wppage
    add_action("wppage_head", "add_seo_meta_tags");
    add_action("wppage_head", "add_social_scripts");
    add_action("wppage_head", "add_fancybox");
    add_action("wppage_head", "add_jquery_ui");

    }

    if(is_admin())
    {

    add_action('admin_head', 'wppage_js_settings');
    wp_register_style('coach_style', plugins_url('/css/wppage.css', __FILE__));
    wp_enqueue_style('coach_style');
    wp_register_style('jquery_ui_style', plugins_url('/js/jquery_ui/themes/base/jquery.ui.all.css', __FILE__));
    wp_enqueue_style('jquery_ui_style');
    wp_register_style('jquery_ui_time_picker_css', plugins_url('/js/time_picker/jquery-ui-timepicker.css', __FILE__));
    wp_enqueue_style('jquery_ui_time_picker_css');

    wp_register_script('wppage_js', plugins_url('/js/wppage.js', __FILE__));
    wp_enqueue_script('wppage_js');

    wp_register_script('jquery-ui_widget', plugins_url('/js/jquery_ui/jquery.ui.widget.min.js', __FILE__));
    wp_enqueue_script('jquery-ui_widget');
    wp_register_script('jquery-ui-accordion', plugins_url('/js/jquery_ui/jquery.ui.accordion.min.js', __FILE__));
    wp_enqueue_script('jquery-ui-accordion');
    wp_register_script('jquery-ui-datepicker', plugins_url('/js/jquery_ui/jquery.ui.datepicker.min.js', __FILE__));
    wp_enqueue_script('jquery-ui-datepicker');
    wp_register_script('jquery-ui-local', plugins_url('/js/jquery_ui/jquery.ui.datepicker-ru.js', __FILE__));
    wp_enqueue_script('jquery-ui-local');
    wp_register_script('jquery-ui-timepicker', plugins_url('/js/time_picker/jquery.ui.timepicker.js', __FILE__));
    wp_enqueue_script('jquery-ui-timepicker');
    wp_register_script('js-color-picker', plugins_url('/js/jscolor/jscolor.js', __FILE__));
    wp_enqueue_script('js-color-picker');

    }

}

define(SECRET_KEY, '3CrtZFlzWKaf9BT6oh4MvGm5uiQE2bJnqSgsXxNU1PLRIj78VOH0wcdDYypkAe');

add_action( 'admin_notices', 'ahtung_message');

function ahtung_message(){
    $user_serial = get_option('wppage_serial_number');
    
    $current_date = time();
    $end_date = get_option('wpp_trial_end_date');
   
   
    if(($current_date > $end_date)&&($user_serial != SECRET_KEY)){
       if(file_exists(TEMPLATEPATH. '/editor-style-page_selling.css')) unlink(TEMPLATEPATH. '/editor-style-page_selling.css');
       if(file_exists(TEMPLATEPATH. '/single-page_selling.php')) unlink(TEMPLATEPATH. '/single-page_selling.php');
        
       if(file_exists(WP_PLUGIN_DIR. '/wppage/lib/editor-style-page_selling.css')) unlink(WP_PLUGIN_DIR. '/wppage/lib/editor-style-page_selling.css');
       if(file_exists(WP_PLUGIN_DIR. '/wppage/lib/single-page_selling.php')) unlink(WP_PLUGIN_DIR. '/wppage/lib/single-page_selling.php');
        
        echo '<div id="wppage_warning" class="error fade">
        <p><strong>Тестовый период wppage закончился. <a href="http://full.TRIAL.wppage.e-autopay.com">Подробнее о полной версии >></a></strong></p>
    </div>';
        
        }elseif(($current_date <= $end_date)&&($user_serial != SECRET_KEY)){
            echo '<div id="wppage_warning" class="error fade">
        <p><strong>Вы используете ознакомительную версию wppage. '.date('j-m-Y',$end_date).' плагин будет отключен. <a href="http://full.TRIAL.wppage.e-autopay.com">Подробнее о полной версии >></a></strong></p>
    </div>';
            }
    
}


//----------------
function wppage_js_settings(){
    echo '<script type="text/javascript">var plugin_url = "'.WP_PLUGIN_URL.'"</script>';

}

//----------------

function wppage_meta(){
    do_action('wppage_meta');

}

function wppage_head(){
    wp_enqueue_script('jquery');
    do_action('wppage_head');
}

function wppage_footer(){
    do_action('wppage_footer');
}

// ------------------------------- Add the Donor Meta Box
function add_page_selling_metabox() {
    add_meta_box('page_selling_metabox', 'Параметры страницы', 'page_selling_extra', 'page_selling', 'normal');
}

function page_selling_extra() {
    global $post;

    // Noncename needed to verify where the data originated
    echo '<input type="hidden" name="page_selling_noncename" id="page_selling_noncename" value="' .
    wp_create_nonce( plugin_basename(__FILE__) ) . '" />';

    // Get the data if its already been entered
    $coach_media = (get_post_meta($post->ID, '_coach_media', true) == 'on')? 'checked="checked"':'';
    $coach_title = get_post_meta($post->ID, '_coach_title', true);
    $coach_use_image = (get_post_meta($post->ID, '_coach_use_image', true) == 'on')? 'checked="checked"':'';
    $coach_video_link = get_post_meta($post->ID, '_coach_video_link', true);
    $coach_video_play = (get_post_meta($post->ID, '_coach_video_play', true) == 'on')? 'checked="checked"':'';
    $coach_newsletter_description = get_post_meta($post->ID, '_coach_newsletter_description', true);
    $coach_newsletter_name_helper = get_post_meta($post->ID, '_coach_newsletter_name_helper', true);
    $coach_newsletter_email_helper = get_post_meta($post->ID, '_coach_newsletter_email_helper', true);
    $coach_responder_code = get_post_meta($post->ID, '_coach_responder_code', true);
    $coach_responder_did = get_post_meta($post->ID, '_coach_responder_did', true);
    $coach_responder_tid = get_post_meta($post->ID, '_coach_responder_tid', true);
    $coach_responder_uid = get_post_meta($post->ID, '_coach_responder_uid', true);
    $coach_privacy_show = (get_post_meta($post->ID, '_coach_privacy_show', true) == 'on')? 'checked="checked"':'';
    $coach_privacy_description = get_post_meta($post->ID, '_coach_privacy_description', true);
    $responder_button_style = get_post_meta($post->ID, '_responder_button_style', true);
    $responder_button_text = get_post_meta($post->ID, '_responder_button_text', true);

    $ps_background_color = get_post_meta($post->ID, '_ps_background_color', true)? get_post_meta($post->ID, '_ps_background_color', true): 'e3e3e3';
    $ps_content_shadow_color = get_post_meta($post->ID, '_ps_content_shadow_color', true);
    $ps_content_shadow_blur = get_post_meta($post->ID, '_ps_content_shadow_blur', true);
    $ps_border_color = get_post_meta($post->ID, '_ps_border_color', true)? get_post_meta($post->ID, '_ps_border_color', true): 'afafaf';
    $ps_border_style = get_post_meta($post->ID, '_ps_border_style', true)? get_post_meta($post->ID, '_ps_border_style', true): 'solid';
    $ps_border_width = get_post_meta($post->ID, '_ps_border_width', true);
    if($ps_border_width === false) $ps_border_width = 1;

    $ps_content_background_color = get_post_meta($post->ID, '_ps_content_background_color', true);
    $ps_content_color = get_post_meta($post->ID, '_ps_content_color', true);
    $ps_background_image = get_post_meta($post->ID, '_ps_background_image', true);

    $mediabox_background_color = get_post_meta($post->ID, '_mediabox_background_color', true);
    $mediabox_color = get_post_meta($post->ID, '_mediabox_color', true);
    $mediabox_border_width = get_post_meta($post->ID, '_mediabox_border_width', true);
    $mediabox_border_color = get_post_meta($post->ID, '_mediabox_border_color', true);
    $mediabox_border_style = get_post_meta($post->ID, '_mediabox_border_style', true);
    $mediabox_shadow_color = get_post_meta($post->ID, '_mediabox_shadow_color', true);
    $mediabox_shadow_blur = get_post_meta($post->ID, '_mediabox_shadow_blur', true);
	
	$wpp_smartresponder_title = get_post_meta($post->ID, '_wpp_smartresponder_title', true);
	$wpp_smartresponder_bg_color_1 = get_post_meta($post->ID, '_wpp_smartresponder_bg_color_1', true);
	$wpp_smartresponder_bg_color_2 = get_post_meta($post->ID, '_wpp_smartresponder_bg_color_2', true);
	$wpp_smartresponder_border_color = get_post_meta($post->ID, '_wpp_smartresponder_border_color', true);
	$wpp_smartresponder_border_width = get_post_meta($post->ID, '_wpp_smartresponder_border_width', true);
	$wpp_smartresponder_border_style = get_post_meta($post->ID, '_wpp_smartresponder_border_style', true);
	$wpp_smartresponder_button_style = get_post_meta($post->ID, '_wpp_smartresponder_button_style', true);
	$wpp_smartresponder_button_text = get_post_meta($post->ID, '_wpp_smartresponder_button_text', true);	
	$wpp_smartresponder_code = get_post_meta($post->ID, '_wpp_smartresponder_code', true);
	$wpp_smartresponder_tid = get_post_meta($post->ID, '_wpp_smartresponder_tid', true);
	$wpp_smartresponder_uid = get_post_meta($post->ID, '_wpp_smartresponder_uid', true);
	$wpp_smartresponder_did = get_post_meta($post->ID, '_wpp_smartresponder_did', true);
	
	$wpp_smartresponder_show_name = get_post_meta($post->ID, '_wpp_smartresponder_show_name', true);
    $wpp_smartresponder_show_email = get_post_meta($post->ID, '_wpp_smartresponder_show_email', true);

    $wppage_seo_title = get_post_meta($post->ID, '_wppage_seo_title', true);
    $wppage_seo_keywords = get_post_meta($post->ID, '_wppage_seo_keywords', true);
    $wppage_seo_desc = get_post_meta($post->ID, '_wppage_seo_desc', true);

    $product_title = get_post_meta($post->ID, '_product_title', true);
    $product_desc = get_post_meta($post->ID, '_product_desc', true);
    $product_price = get_post_meta($post->ID, '_product_price', true);
    $product_currency = get_post_meta($post->ID, '_product_currency', true);
    $product_shop_id = get_post_meta($post->ID, '_product_shop_id', true);
    $is_product = (get_post_meta($post->ID, '_is_product', true) == 'on')? 'checked=checked': '';
    $use_comments = explode(',',get_post_meta($post->ID, '_use_comments', true));

    $wpp_media_response_type = get_post_meta($post->ID, '_wpp_media_response_type', true);
    $wpp_getresponse = get_post_meta($post->ID, '_wpp_getresponse', true);
    $wpp_getresponse_code = get_post_meta($post->ID, '_wpp_getresponse_code', true);
    $wpp_getresponse_wid = get_post_meta($post->ID, '_wpp_getresponse_wid', true);

    $btypes = array('solid'=>'Сплошная', 'dashed'=>'Пунктир', 'dotted'=>'Точка', 'double'=>'Двойная');
    $bsizes = array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 20);
    $ssizes = array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 20, 30, 40, 50, 100);

    if($ps_border_width)	{
    $body_width = 686-$ps_border_width*2;
    $bonus_box_margin_left = 122+$ps_border_width;
    }
    else {
    $body_width = 686;
    $bonus_box_margin_left = 122;
    }

    $editor_base_style = "html{background:#$ps_background_color url($ps_background_image) center top!important;}
    html .mcecontentbody{ max-width:800px;}
    body#tinymce{ width:".$body_width."px!important; border-color:#".$ps_border_color."!important; border-width:".$ps_border_width."px!important; border-style:".$ps_border_style."!important; background-color:#".$ps_content_background_color."; color:#".$ps_content_color."; box-shadow:0px 0px ".$ps_content_shadow_blur."px #".$ps_content_shadow_color."; -webkit-box-shadow:0px 0px ".$ps_content_shadow_blur."px #".$ps_content_shadow_color."; -moz-box-shadow:0px 0px ".$ps_content_shadow_blur."px #".$ps_content_shadow_color."}
    .ps_bonus_box{ margin:10px 0px 10px -".$bonus_box_margin_left."px!important;}";
    file_put_contents(WP_PLUGIN_DIR.'/wppage/css/editor-style-bg.css', $editor_base_style);
    // Echo out the field
    ?>
<div class="p_box coach_home_box">
    <input name="coach_media" id="coach_media" type="checkbox" <?php echo $coach_media; ?> />
    <label for="coach_media">Медиа страница</label>
</div>
<!-- -->
<div class="p_box" id="accordion">
    <h3 class="p_title">Дизайн</h3>
    <div class="p_content">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=16#16">Подробнее</a>
        <table>
            <tr>
                <td width="300px"><label>Цвет фона<br />
                        <input type="text" id="ps_background_color" name="ps_background_color" class="color" value="<?php echo ($ps_background_color)? $ps_background_color: 'ebebeb'; ?>" />
                    </label></td>
                <td><label>Фоновое изображение<br>
                        <input type="text" id="ps_background_image" name="ps_background_image" value="<?php echo $ps_background_image; ?>" />
                    </label></td>
            </tr>
            <tr>
                <td><label>Цвет рамки<br />
                        <input type="text" id="ps_border_color" name="ps_border_color" class="color" value="<?php echo ($ps_border_color)? $ps_border_color: '000000'; ?>" />
                    </label></td>
                <td><br class="clear margin_bottom_5" />
                    <label>Тип рамки</label>
                    <select name="ps_border_style">
                        <?php foreach($btypes as $key=>$value){ ?>
                        <option value="<?php echo $key; ?>"<?php echo ($key==$ps_border_style)? 'selected="selected"': ''; ?>><?php echo $value; ?></option>
                        <?php	} ?>
                    </select>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <label>Толщина рамки</label>
                    <select name="ps_border_width">
                        <?php foreach($bsizes as $key=>$value){ ?>
                        <option value="<?php echo $value; ?>"<?php echo ($value==$ps_border_width)? 'selected="selected"': ''; ?>><?php echo $value; ?>px</option>
                        <?php	} ?>
                    </select></td>
            </tr>
            <tr>
                <td><label>Цвет фона контента<br />
                        <input type="text" id="ps_content_background_color" name="ps_content_background_color" class="color" value="<?php echo ($ps_content_background_color)? $ps_content_background_color: 'ffffff'; ?>" />
                    </label>
                    <br /></td>
                <td></td>
            </tr>
            <tr>
                <td><label>Цвет шрифта контента<br />
                        <input type="text" id="ps_content_color" name="ps_content_color" class="color" value="<?php echo ($ps_content_color)? $ps_content_color: '000000'; ?>" />
                    </label>
                    <br /></td>
                <td></td>
            </tr>
            <tr>
                <td><label>Цвет тени<br />
                        <input type="text" id="ps_content_shadow_color" name="ps_content_shadow_color" class="color" value="<?php echo ($ps_content_shadow_color)? $ps_content_shadow_color: 'сссссс'; ?>" />
                    </label></td>
                <td><br class="clear margin_bottom_5" />
                    <label>Размер тени</label>
                    <select name="ps_content_shadow_blur">
                        <?php foreach($ssizes as $key=>$value){ ?>
                        <option value="<?php echo $value; ?>"<?php echo ($value==$ps_content_shadow_blur)? 'selected="selected"': ''; ?>><?php echo $value; ?>px</option>
                        <?php	} ?>
                    </select></td>
            </tr>
        </table>
    </div>
    <h3 class="p_title">Медиа блок</h3>
    <div class="p_content">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=17#17">Подробнее</a>
        <table>
            <tr>
                <td width="300px"><label>Цвет фона<br />
                        <input type="text" id="mediabox_background_color" name="mediabox_background_color" class="color" value="<?php echo ($mediabox_background_color)? $mediabox_background_color: 'f3f3f3'; ?>" />
                    </label></td>
                <td></td>
            </tr>
            <tr>
                <td><label>Цвет шрифта<br />
                        <input type="text" id="mediabox_color" name="mediabox_color" class="color" value="<?php echo ($mediabox_color)? $mediabox_color: '000000'; ?>" />
                    </label></td>
                <td></td>
            </tr>
            <tr>
                <td><label>Цвет рамки<br />
                        <input type="text" id="mediabox_border_color" name="mediabox_border_color" class="color" value="<?php echo ($mediabox_border_color)? $mediabox_border_color: '000000'; ?>" />
                    </label>
                    <br class="clear" /></td>
                <td><br class="clear margin_bottom_5" />
                    <label>Тип рамки</label>
                    <select name="mediabox_border_style">
                        <?php foreach($btypes as $key=>$value){ ?>
                        <option value="<?php echo $key; ?>"<?php echo ($key==$mediabox_border_style)? 'selected="selected"': ''; ?>><?php echo $value; ?></option>
                        <?php	} ?>
                    </select>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <label>Толщина рамки</label>
                    <select name="mediabox_border_width">
                        <?php foreach($bsizes as $key=>$value){ ?>
                        <option value="<?php echo $value; ?>"<?php echo ($value==$mediabox_border_width)? 'selected="selected"': ''; ?>><?php echo $value; ?>px</option>
                        <?php	} ?>
                    </select></td>
            </tr>
            <tr>
                <td><label>Цвет тени<br />
                        <input type="text" id="mediabox_shadow_color" name="mediabox_shadow_color" class="color" value="<?php echo ($mediabox_shadow_color)? $mediabox_shadow_color: 'сссссс'; ?>" />
                    </label></td>
                <td><br class="clear margin_bottom_5" />
                    <label>Размер тени</label>
                    <select name="mediabox_shadow_blur">
                        <?php foreach($ssizes as $key=>$value){ ?>
                        <option value="<?php echo $value; ?>"<?php echo ($value==$mediabox_shadow_blur)? 'selected="selected"': ''; ?>><?php echo $value; ?>px</option>
                        <?php	} ?>
                    </select></td>
            </tr>
        </table>
        <br />
        <br />
        <label for="coach_title">Заглавие медиа страницы</label>
        <br />
        <textarea id="coach_title" name="coach_title"><?php echo $coach_title; ?></textarea>
        <br />
        <br />
        <table>
            <tr>
                <td colspan="2"><label for="coach_video_link">Ссылка на видео</label>
                    <br />
                    <input name="coach_video_link" id="coach_video_link" type="text" value="<?php echo $coach_video_link; ?>" /></td>
            </tr>
            <tr>
                <td><input name="coach_video_play" id="coach_video_play" type="checkbox" <?php echo $coach_video_play; ?> />
                    <label for="coach_video_play">Автовоспроизведение</label></td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <td colspan="2"><label>Форма подписки медиа страницы</label></td>
            </tr>
            <tr>
                <td><div  class="border1 padding_20 radius_5">
                        <table>
                            <tr>
                                <td><label>
                                        <input type="radio" name="wpp_media_response_type" value="smartresponder" <?php echo $wpp_media_response_type == 'smartresponder' ? 'checked="checked"' : ''; ?> />
                                        Smartresponder</label></td>
                            </tr>
                            <tr>
                                <td><label for="coach_responder_code">Код формы</label>
                                    <br />
                                    <textarea name="coach_responder_code" id="coach_responder_code">
							<?php echo $coach_responder_code; ?>
						</textarea>
                                    <br />
                                    <div id="crc_temp" style="display:none;"></div>
                                    <label>tid</label>
                                    <br />
                                    <input type="text" name="coach_responder_tid" id="coach_responder_tid" value="<?php echo $coach_responder_tid; ?>" />
                                    <br />
                                    <label>did</label>
                                    <br />
                                    <input type="text" name="coach_responder_did" id="coach_responder_did" value="<?php echo $coach_responder_did; ?>" />
                                    <br />
                                    <label>uid</label>
                                    <br />
                                    <input type="text" name="coach_responder_uid" id="coach_responder_uid" value="<?php echo $coach_responder_uid; ?>" />
                                    <br />
                                    <br /></td>
                            </tr>
                        </table>
                    </div></td>
                <td><div class="border1 padding_20 radius_5">
                        <table>
                            <tr>
                                <td><label>
                                        <input type="radio" name="wpp_media_response_type" value="getresponse" <?php echo $wpp_media_response_type == 'getresponse' ? 'checked="checked"' : ''; ?> />
                                        Getresponse</label></td>
                            </tr>
                            <tr>
                                <td><label for="wid">wid</label>
                                    <br />
                                    <input type="text" name="wpp_getresponse_wid" id="wpp_getresponse_wid" value="<?php echo $wpp_getresponse_wid; ?>" /></td>
                            </tr>
                        </table>
                    </div></td>
            </tr>
        </table>
        <br />
        <label for="coach_newsletter_description">Описание рассылки</label>
        <br />
        <textarea name="coach_newsletter_description" id="coach_newsletter_description"><?php echo $coach_newsletter_description; ?></textarea>
        <br />
        <table>
            <tr>
                <td><label for="coach_newsletter_name_helper">Подсказка для ввода имени</label>
                    <br />
                    <input type="text" name="coach_newsletter_name_helper" id="coach_newsletter_name_helper" value="<?php echo $coach_newsletter_name_helper; ?>" />
                    <br />
                    <label for="coach_newsletter_email_helper">Подсказка для ввода email</label>
                    <br />
                    <input type="text" name="coach_newsletter_email_helper" id="coach_newsletter_email_helper" value="<?php echo $coach_newsletter_email_helper; ?>" />
                    <br /></td>
                <td><label for="responder_button_text">Текст кнопки подписки</label>
                    <br />
                    <input type="text" name="responder_button_text" id="responder_button_text" value="<?php echo $responder_button_text; ?>" /></td>
            </tr>
        </table>
        <table width="100%">
            <tr>
                <td colspan="2"><?php for($i = 1; $i < 25 ; $i++): ?>
                    <label class="ps_cbutton ps_button_<?php echo $i; ?>">
                        <input type="radio" name="responder_button_style" value="<?php echo $i; ?>" <?php echo ($i == $responder_button_style)? 'checked="checked"': '';  ?> />
                    </label>
                    <?php endfor; ?></td>
            </tr>
        </table>
        <br />
        <br />
        <label for="coach_privacy_description">Текст предупреждения</label>
        <br />
        <textarea name="coach_privacy_description" id="coach_privacy_description"><?php echo $coach_privacy_description; ?></textarea>
        <br />
        <input type="checkbox" name="coach_privacy_show" id="coach_privacy_show" <?php echo $coach_privacy_show; ?> />
        <label for="coach_privacy_show">Показать предупреждение?</label>
    </div>
    <h3 class="p_title">Getresponse</h3>
    <div class="p_content">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=8#8">Подробнее</a>
        <table>
            <tr>
                <td><label for="wpp_getresponse">Код формы Getresponse</label>
                    <br />
                    <textarea name="wpp_getresponse" id="wpp_getresponse" ><?php echo $wpp_getresponse; ?></textarea></td>
            </tr>
        </table>
    </div>
    <h3 class="p_title">Smartresponder</h3>
    <div class="p_content">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=7#7">Подробнее</a>
        <table width="100%">
            <tr>
                <td><table>
                        <tr>
                            <td><label>Заголовок</label>
                                <br>
                                <input type="text" id="wpp_smartresponder_title" class="width_full" name="wpp_smartresponder_title" value="<?php echo $wpp_smartresponder_title; ?>"  />
                                <br></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Показывать поля:</label>
                                <p>
                                <label>
                                    <input type="checkbox" name="wpp_smartresponder_show_name" <?php echo ($wpp_smartresponder_show_name == 'on')?  'checked="checked"': ''; ?>>
                                    Имя</label>
                                <label>
                                    <input type="checkbox" name="wpp_smartresponder_show_email" <?php echo ($wpp_smartresponder_show_email == 'on')? 'checked="checked"': ''; ?>>
                                    E-mail</label></p></td>
                        </tr>
                        <tr>
                            <td><label>Цвет фона : основой<br />
                                    <input type="text" id="wpp_smartresponder_bg_color_1" name="wpp_smartresponder_bg_color_1" class="color" value="<?php echo $wpp_smartresponder_bg_color_1? $wpp_smartresponder_bg_color_1: 'ebebeb'; ?>" />
                                </label>
                                <br /></td>
                        </tr>
                        <tr>
                            <td><label>Цвет фона : дополнительный<br />
                                    <input type="text" id="wpp_smartresponder_bg_color_2" name="wpp_smartresponder_bg_color_2" class="color" value="<?php echo $wpp_smartresponder_bg_color_2? $wpp_smartresponder_bg_color_2: 'ebebeb'; ?>" />
                                </label>
                                <br /></td>
                        </tr>
                        <tr>
                            <td><label>Цвет рамки<br />
                                    <input type="text" id="wpp_smartresponder_border_color" name="wpp_smartresponder_border_color" class="color" value="<?php echo $wpp_smartresponder_border_color? $wpp_smartresponder_border_color: '000000'; ?>" />
                                </label></td>
                        </tr>
                        <tr>
                            <td><table>
                                    <tr>
                                        <td><label>Тип рамки</label>
                                            <select id="wpp_smartresponder_border_style" name="wpp_smartresponder_border_style">
                                                <?php foreach($btypes as $key=>$value){ ?>
                                                <option value="<?php echo $key; ?>"<?php echo ($key==$wpp_smartresponder_border_style)? 'selected="selected"': ''; ?>><?php echo $value; ?></option>
                                                <?php   } ?>
                                            </select></td>
                                        <td><label>Толщина рамки</label>
                                            <select name="wpp_smartresponder_border_width">
                                                <?php foreach($bsizes as $key=>$value){ ?>
                                                <option value="<?php echo $value; ?>"<?php echo ($value==$wpp_smartresponder_border_width)? 'selected="selected"': ''; ?>><?php echo $value; ?>px</option>
                                                <?php   } ?>
                                            </select></td>
                                    </tr>
                                </table></td>
                        </tr>
                        <tr>
                            <td><label for="wpp_smartresponder_button_text">Текст кнопки подписки</label>
                                <br />
                                <input type="text" name="wpp_smartresponder_button_text" id="wpp_smartresponder_button_text" value="<?php echo $wpp_smartresponder_button_text; ?>" />
                                <br></td>
                        </tr>
                    </table></td>
                <td><label for="wpp_smartresponder_code">Код формы</label>
                    <br />
                    <textarea name="wpp_smartresponder_code" class="code_box" id="wpp_smartresponder_code">
                                <?php echo $wpp_smartresponder_code; ?>
                            </textarea>
                    <br />
                    <div id="crc_temp" style="display:none;"></div>
                    <label>tid</label>
                    <br />
                    <input type="text" name="wpp_smartresponder_tid" class="width_200" id="wpp_smartresponder_tid" value="<?php echo $wpp_smartresponder_tid; ?>" />
                    <br />
                    <label>did</label>
                    <br />
                    <input type="text" name="wpp_smartresponder_did" class="width_200" id="wpp_smartresponder_did" value="<?php echo $wpp_smartresponder_did; ?>" />
                    <br />
                    <label>uid</label>
                    <br />
                    <input type="text" name="wpp_smartresponder_uid" class="width_200" id="wpp_smartresponder_uid" value="<?php echo $wpp_smartresponder_uid; ?>" />
                    <br /></td>
            </tr>
            <tr>
                <td colspan="2"><label>Вид кнопки</label>
                    <br>
                    <?php for($i = 1; $i < 25 ; $i++):
						?>
                    <label class="ps_cbutton ps_button_<?php echo $i; ?>">
                        <input type="radio" name="wpp_smartresponder_button_style" value="<?php echo $i; ?>" <?php echo ($i == $wpp_smartresponder_button_style)? 'checked="checked"': '';  ?> />
                    </label>
                    <?php endfor;
						?></td>
            </tr>
        </table>
    </div>
    <h3 class="p_title">Параметры оплаты</h3>
    <div class="p_content">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=9#9">Подробнее</a>
        <table>
            <tr>
                <td colspan="2"><label for="product_title">Название продукта</label>
                    <br />
                    <input type="text" name="product_title" id="product_title" value="<?php echo $product_title; ?>" /></td>
            </tr>
            <tr>
                <td colspan="2"><label for="product_desc">Описание продукта</label>
                    <br />
                    <input type="text" name="product_desc" id="product_desc" value="<?php echo $product_desc; ?>" /></td>
            </tr>
            <tr>
                <td><label for="product_price">Цена</label>
                    <br />
                    <input type="text" name="product_price" id="product_price" value="<?php echo $product_price; ?>" /></td>
                <td><label for="product_currency">Валюта</label>
                    <br />
                    <input type="text" name="product_currency" id="product_currency" value="<?php echo $product_currency; ?>" /></td>
            </tr>
            <tr>
                <td colspan="2"><label for="product_shop_id">ID магазина</label>
                    <br />
                    <input type="text" name="product_shop_id" id="product_shop_id" value="<?php echo $product_shop_id; ?>" /></td>
            </tr>
        </table>
    </div>
    <h3 class="p_title">Комментарии</h3>
    <div class="p_content">
        <table>
            <tr>
                <td><label>
                        <input type="checkbox" name="use_comments[]" class="use_comments" value="facebook" <?php echo (in_array('facebook',$use_comments))? 'checked="checked"' : ''; ?> />
                        facebook</label></td>
                <td><label>
                        <input type="checkbox" name="use_comments[]" class="use_comments" value="vk" <?php echo (in_array('vk',$use_comments))? 'checked="checked"' : ''; ?>/>
                        вконтакте</label></td>
                <td><label>
                        <input type="checkbox" name="use_comments[]" class="use_comments" value="wordpress" <?php echo (in_array('wordpress',$use_comments))? 'checked="checked"' : ''; ?>/>
                        wordpress</label></td>
        </table>
    </div>
    <h3 class="p_title">SEO</h3>
    <div class="p_content">
        <label>SEO - заглавие</label>
        <br />
        <input type="text" name="wppage_seo_title" id="wppage_seo_tilte" value="<?php echo $wppage_seo_title; ?>" />
        <br />
        <label>SEO - ключевые слова</label>
        <br />
        <input type="text" name="wppage_seo_keywords" id="wppage_seo_keywords"  value="<?php echo $wppage_seo_keywords; ?>" />
        <br />
        <label>SEO - Описание</label>
        <br />
        <textarea name="wppage_seo_desc" id="wppage_seo_desc"><?php echo $wppage_seo_desc; ?></textarea>
        <br />
    </div>
</div>
<?php
    }

    // Save the catalog Data

    function page_selling_save_meta($post_id, $post) {

    // verify this came from the our screen and with proper authorization,
    // because save_post can be triggered at other times
    if ( !wp_verify_nonce( $_POST['page_selling_noncename'], plugin_basename(__FILE__) )) {
    return $post->ID;
    }

    // Is the user allowed to edit the post or page?
    if ( !current_user_can( 'edit_post', $post->ID )){
    return $post->ID;
    }
    // OK, we're authenticated: we need to find and save the data
    // We'll put it into an array to make it easier to loop though.

    $page_selling_meta['_coach_media'] = $_POST['coach_media'];
    $page_selling_meta['_coach_title'] = $_POST['coach_title'];
    $page_selling_meta['_coach_use_image'] = $_POST['coach_use_image'];
    $page_selling_meta['_coach_video_link'] = $_POST['coach_video_link'];
    $page_selling_meta['_coach_video_play'] = $_POST['coach_video_play'];
    $page_selling_meta['_coach_newsletter_description'] = $_POST['coach_newsletter_description'];
    $page_selling_meta['_coach_newsletter_name_helper'] = $_POST['coach_newsletter_name_helper'];
    $page_selling_meta['_coach_newsletter_email_helper'] = $_POST['coach_newsletter_email_helper'];
    $page_selling_meta['_coach_responder_code'] = $_POST['coach_responder_code'];
    $page_selling_meta['_coach_responder_tid'] = $_POST['coach_responder_tid'];
    $page_selling_meta['_coach_responder_did'] = $_POST['coach_responder_did'];
    $page_selling_meta['_coach_responder_uid'] = $_POST['coach_responder_uid'];
    $page_selling_meta['_coach_privacy_show'] = $_POST['coach_privacy_show'];
    $page_selling_meta['_coach_privacy_description'] = $_POST['coach_privacy_description'];
    $page_selling_meta['_responder_button_style'] = $_POST['responder_button_style'];
    $page_selling_meta['_responder_button_text'] = $_POST['responder_button_text'];

    $page_selling_meta['_ps_background_color'] = $_POST['ps_background_color'];
    $page_selling_meta['_ps_background_image'] = $_POST['ps_background_image'];
    $page_selling_meta['_ps_border_color'] = $_POST['ps_border_color'];
    $page_selling_meta['_ps_border_width'] = $_POST['ps_border_width'];
    $page_selling_meta['_ps_border_style'] = $_POST['ps_border_style'];
    $page_selling_meta['_ps_content_shadow_color'] = $_POST['ps_content_shadow_color'];
    $page_selling_meta['_ps_content_shadow_blur'] = $_POST['ps_content_shadow_blur'];
    $page_selling_meta['_ps_content_background_color'] = $_POST['ps_content_background_color'];
    $page_selling_meta['_ps_content_color'] = $_POST['ps_content_color'];

    $page_selling_meta['_mediabox_background_color'] = $_POST['mediabox_background_color'];
    $page_selling_meta['_mediabox_color'] = $_POST['mediabox_color'];
    $page_selling_meta['_mediabox_border_color'] = $_POST['mediabox_border_color'];
    $page_selling_meta['_mediabox_border_width'] = $_POST['mediabox_border_width'];
    $page_selling_meta['_mediabox_border_style'] = $_POST['mediabox_border_style'];
    $page_selling_meta['_mediabox_shadow_color'] = $_POST['mediabox_shadow_color'];
    $page_selling_meta['_mediabox_shadow_blur'] = $_POST['mediabox_shadow_blur'];
	
	$page_selling_meta['_wpp_smartresponder_title'] = $_POST['wpp_smartresponder_title'];
	$page_selling_meta['_wpp_smartresponder_button_style'] = $_POST['wpp_smartresponder_button_style'];
	$page_selling_meta['_wpp_smartresponder_button_text'] = $_POST['wpp_smartresponder_button_text'];
	$page_selling_meta['_wpp_smartresponder_bg_color_1'] = $_POST['wpp_smartresponder_bg_color_1'];
	$page_selling_meta['_wpp_smartresponder_bg_color_2'] = $_POST['wpp_smartresponder_bg_color_2'];
	$page_selling_meta['_wpp_smartresponder_border_style'] = $_POST['wpp_smartresponder_border_style'];
	$page_selling_meta['_wpp_smartresponder_border_width'] = $_POST['wpp_smartresponder_border_width'];
	$page_selling_meta['_wpp_smartresponder_border_color'] = $_POST['wpp_smartresponder_border_color'];
	$page_selling_meta['_wpp_smartresponder_code'] = $_POST['wpp_smartresponder_code'];
	$page_selling_meta['_wpp_smartresponder_tid'] = $_POST['wpp_smartresponder_tid'];
	$page_selling_meta['_wpp_smartresponder_uid'] = $_POST['wpp_smartresponder_uid'];
	$page_selling_meta['_wpp_smartresponder_did'] = $_POST['wpp_smartresponder_did'];	
	$page_selling_meta['_wpp_smartresponder_show_name'] = $_POST['wpp_smartresponder_show_name'];
	$page_selling_meta['_wpp_smartresponder_show_email'] = $_POST['wpp_smartresponder_show_email'];

    $page_selling_meta['_wppage_seo_title'] = $_POST['wppage_seo_title'];
    $page_selling_meta['_wppage_seo_keywords'] = $_POST['wppage_seo_keywords'];
    $page_selling_meta['_wppage_seo_desc'] = $_POST['wppage_seo_desc'];

    $page_selling_meta['_product_title'] = $_POST['product_title'];
    $page_selling_meta['_product_price'] = $_POST['product_price'];
    $page_selling_meta['_product_currency'] = $_POST['product_currency'];
    $page_selling_meta['_product_shop_id'] = $_POST['product_shop_id'];
    $page_selling_meta['_product_desc'] = $_POST['product_desc'];
    $page_selling_meta['_is_product'] = $_POST['is_product'];
    $page_selling_meta['_use_comments'] = $_POST['use_comments'];

    $page_selling_meta['_wpp_getresponse'] = $_POST['wpp_getresponse'];
    $page_selling_meta['_wpp_getresponse_code'] = $_POST['wpp_getresponse_code'];
    $page_selling_meta['_wpp_getresponse_wid'] = $_POST['wpp_getresponse_wid'];
    $page_selling_meta['_wpp_media_response_type'] = $_POST['wpp_media_response_type'];

    // Add values of $sinus_meta as custom fields

    foreach ($page_selling_meta as $key => $value) { // Cycle through the $sinus_meta array!
    // if( $post->post_type == 'revision' ) return; // Don't store custom data twice
    $value = implode(',', (array)$value); // If $value is an array, make it a CSV (unlikely)
    if(get_post_meta($post->ID, $key, FALSE)) { // If the custom field already has a value
    update_post_meta($post->ID, $key, $value);
    } else { // If the custom field doesn't have a value
    add_post_meta($post->ID, $key, $value);
    }
    if(!$value) delete_post_meta($post->ID, $key); // Delete if blank
    }

    }

    add_action('save_post', 'page_selling_save_meta', 1, 2); // save the custom fields

    //-----------------------

    class product_shortdoce_button
    {
    function __construct() {
    add_action( 'admin_init', array( $this, 'action_admin_init' ) );
    }

    function action_admin_init() {
    // only hook up these filters if we're in the admin panel, and the current user has permission
    // to edit posts and pages
    global $current_screen;
    echo $current_screen->post_type;
    if ( current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' ) ) {
    add_filter( 'mce_buttons', array( $this, 'filter_mce_button'), 1000 );
    add_filter( 'mce_external_plugins', array( $this, 'filter_mce_plugin' ) );
    }
    }

    function filter_mce_button( $buttons ) {
    global $current_screen;
    if($current_screen->post_type == 'page_selling'){
    // add a separation before our button, here our button's id is "audio_button"
    $buttons = array( 'social_button', 'audio_button', 'video_button', 'youtube_button', 'vimeo_button', 'googleform_button', 'smartresponder_button', 'getresponse_button', 'product_button', 'bullets_button', 'bonus_button', 'arrows_button', 'text_box_button', 'satisfaction_button', 'countdown_button');
    add_filter( 'mce_buttons_2', array( $this, 'set_mce_buttons_2'), 1000 );
    add_filter( 'mce_buttons_3', array( $this, 'set_mce_buttons_3'), 1000 );
    add_filter( 'mce_buttons_4', array( $this, 'set_mce_buttons_4'), 1000 );

    }else{
    array_push($buttons, '|');
    }
    return $buttons;
    }

    function set_mce_buttons_2(){
    $buttons = array('bold', 'italic', 'strikethrough', 'underline', 'bullist', 'numlist', 'blockquote', '|', 'outdent', 'indent', '|', 'justifyright', 'justifyfull', 'justifycenter', 'justifyleft', '|', 'link', 'unlink', '|', 'spellchecker', 'wp_fullscreen');
    return $buttons;
    }
    function set_mce_buttons_3(){
    $buttons = array( 'fontselect', 'fontsizeselect', 'formatselect', 'forecolor', 'backcolor', '|', 'removeformat', '|', 'image');
    return $buttons;
    }
    function set_mce_buttons_4(){
    $buttons = array( 'table', 'row_props', 'cell_props','delete_col','delete_row','delete_table','col_after','col_before','row_after','row_before','split_cells','merge_cells');
    return $buttons;
    }

    function filter_mce_plugin( $plugins ) {
    // this plugin file will work the magic of our button
    if(get_post_type() == 'page_selling'){
    $plugins['product'] = plugin_dir_url( __FILE__ ) . '/js/product.js';
    $plugins['bullets'] = plugin_dir_url( __FILE__ ) . '/js/bullets.js';
    $plugins['bonus'] = plugin_dir_url( __FILE__ ) . '/js/bonus.js';
    $plugins['arrows'] = plugin_dir_url( __FILE__ ) . '/js/arrows.js';
    $plugins['coachaudio'] = plugin_dir_url( __FILE__ ) . '/js/audio.js';
    $plugins['coachforms'] = plugin_dir_url( __FILE__ ) . '/js/googleforms.js';
    $plugins['smartresponder'] = plugin_dir_url( __FILE__ ) . '/js/smartresponder.js';
    $plugins['socialbuttons'] = plugin_dir_url( __FILE__ ) . '/js/socialbuttons.js';
    $plugins['textbox'] = plugin_dir_url( __FILE__ ) . '/js/box.js';
    $plugins['satisfaction'] = plugin_dir_url( __FILE__ ) . '/js/satisfaction.js';
    $plugins['coachcountdown'] = plugin_dir_url( __FILE__ ) . '/js/countdown.js';
    $plugins['wppyoutube'] = plugin_dir_url( __FILE__ ) . '/js/youtube.js';
    $plugins['wppvimeo'] = plugin_dir_url( __FILE__ ) . '/js/vimeo.js';
    $plugins['wppvideo'] = plugin_dir_url( __FILE__ ) . '/js/video.js';
    $plugins['getresponse'] = plugin_dir_url( __FILE__ ) . '/js/getresponse.js';
    $plugins['table'] = plugin_dir_url( __FILE__ ) . 'js/mce/mce/table/editor_plugin.js';
    }
    return $plugins;
    }
    }

    $coachshortcodes = new product_shortdoce_button();
    //------------------------

    function product_shortcode($atts){
    global $post;
    $product_id = $post->ID;
    $html = '<div class="order_button_wrap"><form action="/pidtverdzhennya-platezhu.html"><input type="hidden" name="product_id" value="'.$product_id.'" /><span><input type="submit" class="order_button" value="'.$atts['title'].'"/></span></form></div>';
    return $html;
    }
    add_shortcode('wpp_product', 'product_shortcode');

    //--------------

    function smartresponder_shortcode($atts){
		global $post;
		if($atts){
			$wpp_smartresponder_title = $atts[headline];
			$wpp_smartresponder_bg_color_1 = get_post_meta($post->ID, '_wpp_smartresponder_bg_color_1', true);
			$wpp_smartresponder_border_color = get_post_meta($post->ID, '_wpp_smartresponder_border_color', true);
			$wpp_smartresponder_border_width = get_post_meta($post->ID, '_wpp_smartresponder_border_width', true);
			$wpp_smartresponder_border_style = get_post_meta($post->ID, '_wpp_smartresponder_border_style', true);
			$wpp_smartresponder_button_style = $atts[button_style];
			$wpp_smartresponder_button_text = $atts[button_text];	
			$wpp_smartresponder_code = $atts[headline];
			$wpp_smartresponder_tid = $atts[tid];
			$wpp_smartresponder_uid = $atts[uid];
			$wpp_smartresponder_did = $atts[did];
            
            $wpp_smartresponder_show_name = '1';
            $wpp_smartresponder_show_email = '1';
            
        }else{
			
			$wpp_smartresponder_title = get_post_meta($post->ID, '_wpp_smartresponder_title', true);
			$wpp_smartresponder_bg_color_1 = get_post_meta($post->ID, '_wpp_smartresponder_bg_color_1', true);
			$wpp_smartresponder_bg_color_2 = get_post_meta($post->ID, '_wpp_smartresponder_bg_color_2', true);
			$wpp_smartresponder_border_color = get_post_meta($post->ID, '_wpp_smartresponder_border_color', true);
			$wpp_smartresponder_border_width = get_post_meta($post->ID, '_wpp_smartresponder_border_width', true);
			$wpp_smartresponder_border_style = get_post_meta($post->ID, '_wpp_smartresponder_border_style', true);
			$wpp_smartresponder_button_style = get_post_meta($post->ID, '_wpp_smartresponder_button_style', true);
			$wpp_smartresponder_button_text = get_post_meta($post->ID, '_wpp_smartresponder_button_text', true);	
			$wpp_smartresponder_code = get_post_meta($post->ID, '_wpp_smartresponder_code', true);
			$wpp_smartresponder_tid = get_post_meta($post->ID, '_wpp_smartresponder_tid', true);
			$wpp_smartresponder_uid = get_post_meta($post->ID, '_wpp_smartresponder_uid', true);
			$wpp_smartresponder_did = get_post_meta($post->ID, '_wpp_smartresponder_did', true);
			
			$wpp_smartresponder_show_name = get_post_meta($post->ID, '_wpp_smartresponder_show_name', true);
            $wpp_smartresponder_show_email = get_post_meta($post->ID, '_wpp_smartresponder_show_email', true);
            
			}
		$html = "<style type='text/css'>
		.ps_smartresp_box{
		background-color: #$wpp_smartresponder_bg_color_1;
		background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#$wpp_smartresponder_bg_color_1), to(#$wpp_smartresponder_bg_color_2));
		background-image: -webkit-linear-gradient(top, #$wpp_smartresponder_bg_color_1, #$wpp_smartresponder_bg_color_2);
		background-image:    -moz-linear-gradient(top, #$wpp_smartresponder_bg_color_1, #$wpp_smartresponder_bg_color_2);
		background-image:     -ms-linear-gradient(top, #$wpp_smartresponder_bg_color_1, #$wpp_smartresponder_bg_color_2);
		background-image:      -o-linear-gradient(top, #$wpp_smartresponder_bg_color_1, #$wpp_smartresponder_bg_color_2);
		border-color:#$wpp_smartresponder_border_color;
		border-style:$wpp_smartresponder_border_style;
		border-width:".$wpp_smartresponder_border_width."px;
		}
		</style>";

    $html .= '<div id="ps_smartresp_box" class="ps_smartresp_box">
    <p class="ps_SM_headline">'.$wpp_smartresponder_title.'</p>';
    $html .='<!-- SmartResponder.ru subscribe form code (begin) -->
    <script language="javascript" type="text/javascript">
    function SR_IsListSelected(el)
    {
    for (var i = 0; i < el.length; i ++)
    if (el[i].selected ||
    el[i].checked)
    return i;
    return -1;
    }
    function SR_trim(f)
    {
    return f.toString().replace(/^[ ]+/, "").replace(/[ ]+$/, "");
    }
    function SR_submit(f)
    {
    f["field_email"].value = SR_trim(f["field_email"].value);
    f["field_name_first"].value = SR_trim(f["field_name_first"].value);
    if ((SR_focus = f["field_email"]) && f["field_email"].value.replace(/^[ ]+/, "").replace(/[ ]+$/, "").length < 1 || (SR_focus = f["field_name_first"]) && f["field_name_first"].value.replace(/^[ ]+/, "").replace(/[ ]+$/, "").length < 1) { alert("Укажите значения всех обязательных для заполнения полей (помечены звездочкой)"); SR_focus.focus(); return false; }
    if (!f["field_email"].value.match(/^[A-Za-z0-9][A-Za-z0-9\._-]*[A-Za-z0-9_]*@([A-Za-z0-9]+([A-Za-z0-9-]*[A-Za-z0-9]+)*\.)+[A-Za-z]+$/)) { alert("Некорректный синтаксис email-адреса!"); f["field_email"].focus(); return false; }
    return true;
    }
    </script>
    <form name="ps_SR_form" id="sr_form" target="_blank" action="http://smartresponder.ru/subscribe.html" method="post" onSubmit="return SR_submit(this)">
    <input type=hidden name=version value="1">
    <input type=hidden name=tid value="'.$wpp_smartresponder_tid.'">
    <input type=hidden name=uid value="'.$wpp_smartresponder_uid.'">
    <input type=hidden name=charset value="windows-1251">
    <input type=hidden name=lang value="ru">
    <input type=hidden name="did[]" value="'.$wpp_smartresponder_did.'">';
    if($wpp_smartresponder_show_name){
        $html .= '<input class="field" name="field_name_first" value="Введите ваше имя" onblur=\'if(this.value=="") this.value="Введите ваше имя"\'  onfocus=\'if(this.value=="Введите ваше имя") this.value=""\'>';
    }
    if($wpp_smartresponder_show_email){
        $html .= '<input class="field" name="field_email" value="Введите ваш e-mail" onblur=\'if(this.value=="") this.value="Введите ваш e-mail"\' onfocus=\'if(this.value=="Введите ваш e-mail") this.value=""\'>';
    }
    
    $html .= '<input class="go ps_cbutton ps_button_'.$wpp_smartresponder_button_style.'" name="SR_submitButton" type=submit value="'.$wpp_smartresponder_button_text.'">
    </form>';

    $html .= '</div>';
    return $html;
    }
    add_shortcode('wpp_smartresponder', 'smartresponder_shortcode');

    //------------- shortcode for getresponse
    function getresponse_shortcode($atts){
    global $post;
    $html = '<!-- getresponse -->';
    $html .= get_post_meta($post->ID, '_wpp_getresponse', true);
    $html .= '<!-- //getresponse -->';
    return $html;
    }
    add_shortcode('wpp_getresponse', 'getresponse_shortcode');

    //-------------
    function socialbuttons_shortcode($atts){
    global $post;
    $seo_title = get_post_meta($post->ID, '_wppage_seo_title', true);
    $seo_desc = get_post_meta($post->ID, '_wppage_seo_desc', true);
    $facebook_thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'facebook_thumb');
    $vk_thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'vk_thumb');

    $buttons = $atts['buttons'];
    $buttons = explode(',', $buttons);
    $vkontakte_apiId = get_option('vkontakte_apiId');

    $gplus = (in_array('gplus', $buttons))? '<div class="ps_float_box ps_plus1">
    <!-- Разместите этот тег в том месте, где должна отображаться кнопка +1 -->
    <g:plusone size="medium" href="'.get_permalink().'"></g:plusone>
    </div>': '';

    $facebook = (in_array('facebook', $buttons))? '<div class="ps_float_box ps_fb_box"><!-- LIKE facebook -->
    <iframe src="http://www.facebook.com/plugins/like.php?href='.get_permalink().'&amp;layout=standard&amp;show_faces=false&amp;width=500&amp;action=like&amp;colorscheme=light&amp;height=28" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:500px; height:28px;" allowtransparency="true"></iframe>
    <!-- end of LIKE facebook --></div>': '';

    $vk_like = (in_array('vk_like', $buttons))? '<div class="ps_float_box ps_vk_like"><!-- LIKE VKONTAKTE -->
    <iframe name="fXDadddf" style="height: 22px; width: 500px; z-index: 150; overflow-x: hidden; overflow-y: hidden; " frameborder="0" src="http://vkontakte.ru/widget_like.php?app='.$vkontakte_apiId.'&amp;width=100%&amp;page=0&amp;url='.get_permalink().'&amp;type=full&amp;verb=0&amp;title='.$seo_title.'&amp;description='.$seo_desc.'&amp;image='.$vk_thumb_url[0].'" width="100%" height="22px" scrolling="no" id="vkwidget3"></iframe>
    <!-- end of LIKE VKONTAKTE --></div>': '';

    $twitter = (in_array('twitter', $buttons))? '<div class="ps_float_box ps_tweeter">
    <!-- Tweeter -->
    <iframe src="http://platform0.twitter.com/widgets/tweet_button.html?_=1310127817930&amp;count=horizontal&amp;id=twitter_tweet_button_0&amp;lang=en&amp;original_referer='.get_bloginfo('url').'&amp;text='.$seo_title.'&amp;url='.get_permalink().'&amp;via='.get_option("twetter_nickname").'" allowtransparency="true" frameborder="0" scrolling="no" class="twitter-share-button twitter-count-horizontal" style="width: 110px; height: 30px; " title="Twitter For Websites: Tweet Button"></iframe>
    <!-- end of Tweeter -->
    </div>': '';

    $vk_share = (in_array('vk_share', $buttons))? '<div class="ps_float_box ps_vk_save">
    <!-- SHARE VKONTAKTE -->
    <script type="text/javascript">
    <!--
    document.write(VK.Share.button({
    url: "'.get_permalink().'",
    title: "'.$seo_title.'",
    description: "'.$seo_desc.'",
    image: "'.$vk_thumb_url[0].'",
    noparse: true
    }));
    -->
    </script>
    <!-- end of SHARE VKONTAKTE -->
    </div>': '';

    $mailru = (in_array('mailru', $buttons))? '<div class="ps_float_box ps_mailru"><a target="_blank" class="mrc__plugin_uber_like_button" href="http://connect.mail.ru/share?share_url=http%3A%2F%2F'.get_permalink().'&amp;title='.$seo_title.'&amp;description='.$seo_desc.'&amp;imageurl='.$vk_thumb_url[0].'" data-mrc-config="{\'type\' : \'button\', \'caption-mm\' : \'1\', \'caption-ok\' : \'1\', \'counter\' : \'true\', \'text\' : \'true\', \'width\' : \'100%\'}">Нравится</a>
    <script src="http://cdn.connect.mail.ru/js/loader.js" type="text/javascript" charset="UTF-8"></script></div>': '';

    $html = '<div class="ps_social_buttons">
    <div>'.$facebook.'</div>
    <div>'.$vk_like.'</div>
    <div>'.$vk_share.$twitter.$gplus.$mailru.'</div>
    </div>';
    return $html;

    }
    add_shortcode('wpp_socialbuttons', 'socialbuttons_shortcode');
    //--------------

    function nn($num){
    if($num <= '0') {
    return '00';
    }elseif($num < 10){
    return '0'.$num;
    }else{
    return $num;
    }
    }

    function countdown_shortcode($atts){
    $now = time();
    $end = strtotime("$atts[date] $atts[hours]:$atts[minutes]:00");
    $diff = $end-$now;
    if($diff < 0){
    $d = 0;
    $h = 0;
    $m = 0;
    }else{
    $d = floor($diff/(60*60*24));
    $h = floor(($diff-($d*60*60*24))/(60*60));
    $m = floor(($diff-($d*60*60*24)-($h*60*60))/(60));
    }

    $html = '<div class="ps_countdown_wrap">';
    $html .='<div id="ps_counter"></div>';
    $html .='<div class="ps_counter_desc"><div>Дней</div><div>Часов</div><div>Минут</div><div>Секунд</div></div>';
    $html .='<script type="text/javascript" src="'.get_bloginfo('wpurl').'/wp-content/plugins/wppage/js/countdown/jquery.countdown.js"></script>
    ';
    $html .='<script type="text/javascript"> j = jQuery.noConflict(); var cdate = "'.nn($d).':'.nn($h).':'.nn($m).':00";
    j(function(){j("#ps_counter").countdown({image: "'.get_bloginfo('wpurl').'/wp-content/plugins/wppage/js/countdown/digits.png",startTime: cdate }); });</script>';

    $html .= '</div>';
    return $html;
    }
    add_shortcode('wpp_countdown', 'countdown_shortcode');

    //--------------------

    function wppage_google_shortcode( $options ) {
    if ($options[key]) {
    return "<iframe src=\"http://spreadsheets.google.com/embeddedform?formkey=".$options[key]."\" width=\"".$options[width]."\" height=\"".$options[height]."\" frameborder=\"0\" marginheight=\"0\" marginwidth=\"0\">Загружается...</iframe>";
    } else { return "Ошибка про обработке формы"; }
    }
    add_shortcode('wpp_googleform', 'wppage_google_shortcode');

    //---------------------

    add_shortcode('wpp_youtube', 'wpp_youtube_shortcode');

    function wpp_youtube_shortcode( $atts ){
    if($atts[src]){
    parse_str(parse_url( $atts[src], PHP_URL_QUERY ), $array);

    $autoplay = ($atts['autoplay'] == 'on')? '&autoplay=1': '';
    $src = $array[v]? $array[v]: $array['amp;v'];
    $width = $atts[width]? $atts[width] : 640;
    $height = $atts[height]? $atts[height] : 360;

    return '<iframe id="ytplayer" class="no_border" type="text/html" width="'.$width.'" height="'.$height.'" src="http://www.youtube.com/embed/'.$src.'?wmode=opaque'.$autoplay.'" frameborder="0"></iframe>';
    }else{
    return '<p>Неправыльная ссылка на видео</p>';
    }
    }

    add_shortcode('wpp_vimeo', 'wpp_vimeo_shortcode');

    function wpp_vimeo_shortcode( $options ){
    if($options[src]){
    sscanf(parse_url($options[src], PHP_URL_PATH), '/%d', $id);
    $width = $options[width]? $options[width] : 640;
    $height = $options[height]? $options[height] : 360;
    $autoplay = ($options[autoplay]==on)? '?autoplay=true':'';

    return '<iframe class="no_border" src="http://player.vimeo.com/video/'.$id.$autoplay.'" width="'.$width.'" height="'.$height.'" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>';
    }else{
    return '<p>Неправыльная ссылка на видео</p>';
    }
    }

    //---------------------
    // create custom plugin settings menu
    add_action('admin_menu', 'coash_create_menu');

    function coash_create_menu() {

    add_submenu_page( 'edit.php?post_type=page_selling', 'Параметры', 'Параметры', 'manage_options' , 'coach-options' , 'coach_settings_page');
    add_action( 'admin_init', 'register_wppage_settings' );

    }

    function register_wppage_settings() {
    //register our settings
    register_setting( 'coach-settings-group', 'wppage_secret' );
    register_setting( 'coach-settings-group', 'wppage_serial_number' );
    register_setting( 'coach-settings-group', 'facebook_app_id' );
    register_setting( 'coach-settings-group', 'facebook_admin' );
    register_setting( 'coach-settings-group', 'vkontakte_apiId' );
    register_setting( 'coach-settings-group', 'twetter_nickname' );
    register_setting( 'coach-settings-group', 'coach_analytics' );
    
    }

    function coach_settings_page() {
?>
<div class="wrap">
    <h2>Параметры </h2>
   
    <hr>
    <?php 
            
        $user_serial = get_option('wppage_serial_number');
        if($user_serial && ($user_serial != SECRET_KEY)){
            add_option('wppage_serial_number', '');
        }
    ?>
    <br>
    <form method="post" action="options.php">
    <label>Ваш серийный номер</label>
    
    <input type="text" style="width:400px;" name="wppage_serial_number" value="<?php echo $user_serial; ?>">
    <br><br>
    <hr>
    <div style="position: relative">
        <a class="more_details" target="_blank" href="http://wppage.ru/support?wppage_lesson=2#2">Подробнее</a>
    
        <?php settings_fields('coach-settings-group'); ?>
        <table class="form-table">
            <tr valign="top">
                <th scope="row">facebook app_id </th>
                <td><input type="text" name="facebook_app_id" value="<?php echo get_option('facebook_app_id'); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row">facebook admin</th>
                <td><input type="text" name="facebook_admin" value="<?php echo get_option('facebook_admin'); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row">vkontakte apiId</th>
                <td><input type="text" name="vkontakte_apiId" value="<?php echo get_option('vkontakte_apiId'); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row">twetter nickname</th>
                <td><input type="text" name="twetter_nickname" value="<?php echo get_option('twetter_nickname'); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row">Коды статистик</th>
                <td><textarea name="coach_analytics" style="width:400px; height:200px;"><?php echo get_option('coach_analytics'); ?></textarea></td>
            </tr>
        </table>
        <p class="submit">
            <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
        </p>
        </div>
    </form>
    
</div>
<?php } ?>
<?php //--------------- include audio

    include ('plugins/uppod/wpp_uppod.php');
?>
